Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# KlineakConfigUI Class Reference

`#include <klineakconfigui.h>`

Inheritance diagram for KlineakConfigUI:

List of all members.

## Public Slots
virtual void | slotToggleApp ()
virtual bool | onApplyButtonClicked ()
virtual void | onKeyListSelect (QListBoxItem *)
virtual void | onOKButtonClicked ()
virtual void | quit ()
virtual void | updateAvailableKeys (const QString &)
virtual void | updateCDRom (const QString &)
virtual void | updateKeyboardModels (const QString &)
virtual void | updateKeyList ()
virtual void | updateKeyList (const QString &)
virtual void | updateKeyList (int)
virtual void | updateMixer (const QString &)
## Public Methods
| KlineakConfigUI (QWidget *parent=0, const char *name=0, WFlags fl=0)
| ~KlineakConfigUI ()
## Public Attributes
QGroupBox * | GroupBox1
QLabel * | TextLabel2
QLineEdit * | txtCDRom
QLabel * | TextLabel2_2
QLineEdit * | txtMixer
QLabel * | TextLabel1
QComboBox * | cbKeyboard
QLabel * | TextLabel2_4
QLabel * | TextLabel2_3
QComboBox * | cbKeyboardBrand
QLabel * | pixPicture
QLabel * | PixmapLabel1
QPushButton * | btnApply
QPushButton * | btnCancel
QGroupBox * | GroupBox2
QLabel * | TextLabel3
QListBox * | lstAvailableKeys
QRadioButton * | radioRun
QLineEdit * | txtCommand
QRadioButton * | radioAction
QComboBox * | cbAction
## Protected Attributes
QGridLayout * | KlineakConfigUILayout
QVBoxLayout * | Layout21
QVBoxLayout * | Layout32
QVBoxLayout * | Layout31
QHBoxLayout * | Layout50
QVBoxLayout * | Layout56
QHBoxLayout * | Layout37
QVBoxLayout * | Layout16
QHBoxLayout * | Layout13
QHBoxLayout * | Layout15

## Constructor & Destructor Documentation

KlineakConfigUI::KlineakConfigUI | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | WFlags | fl = 0
| ) |

KlineakConfigUI::~KlineakConfigUI | ( |  | ) |

## Member Function Documentation

virtual bool KlineakConfigUI::onApplyButtonClicked | ( |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::onKeyListSelect | ( | QListBoxItem * |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::onOKButtonClicked | ( |  | ) | `[virtual, slot]`

virtual void KlineakConfigUI::quit | ( |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::slotToggleApp | ( |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::updateAvailableKeys | ( | const QString & |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::updateCDRom | ( | const QString & |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::updateKeyboardModels | ( | const QString & |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::updateKeyList | ( | int |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::updateKeyList | ( | const QString & |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

virtual void KlineakConfigUI::updateKeyList | ( |  | ) | `[virtual, slot]`

virtual void KlineakConfigUI::updateMixer | ( | const QString & |  | ) | `[virtual, slot]`

| Reimplemented in KlineakConfig.

## Member Data Documentation

QPushButton* KlineakConfigUI::btnApply

QPushButton* KlineakConfigUI::btnCancel

QComboBox* KlineakConfigUI::cbAction

QComboBox* KlineakConfigUI::cbKeyboard

QComboBox* KlineakConfigUI::cbKeyboardBrand

QGroupBox* KlineakConfigUI::GroupBox1

QGroupBox* KlineakConfigUI::GroupBox2

QGridLayout* KlineakConfigUI::KlineakConfigUILayout`[protected]`

QHBoxLayout* KlineakConfigUI::Layout13`[protected]`

QHBoxLayout* KlineakConfigUI::Layout15`[protected]`

QVBoxLayout* KlineakConfigUI::Layout16`[protected]`

QVBoxLayout* KlineakConfigUI::Layout21`[protected]`

QVBoxLayout* KlineakConfigUI::Layout31`[protected]`

QVBoxLayout* KlineakConfigUI::Layout32`[protected]`

QHBoxLayout* KlineakConfigUI::Layout37`[protected]`

QHBoxLayout* KlineakConfigUI::Layout50`[protected]`

QVBoxLayout* KlineakConfigUI::Layout56`[protected]`

QListBox* KlineakConfigUI::lstAvailableKeys

QLabel* KlineakConfigUI::PixmapLabel1

QLabel* KlineakConfigUI::pixPicture

QRadioButton* KlineakConfigUI::radioAction

QRadioButton* KlineakConfigUI::radioRun

QLabel* KlineakConfigUI::TextLabel1

QLabel* KlineakConfigUI::TextLabel2

QLabel* KlineakConfigUI::TextLabel2_2

QLabel* KlineakConfigUI::TextLabel2_3

QLabel* KlineakConfigUI::TextLabel2_4

QLabel* KlineakConfigUI::TextLabel3

QLineEdit* KlineakConfigUI::txtCDRom

QLineEdit* KlineakConfigUI::txtCommand

QLineEdit* KlineakConfigUI::txtMixer

The documentation for this class was generated from the following file:

- klineakconfigui.h